clang-tools 6.0.0

Classes | Functions
clang::tidy::android Namespace Reference

## Classes
class | AndroidModule
| This module is for Android specific checks. More...
class | CloexecAccept4Check
| Finds code that uses accept4() without using the SOCK_CLOEXEC flag. More...
class | CloexecAcceptCheck
| accept() is better to be replaced by accept4(). More...
class | CloexecCheck
| The base class for all close-on-exec checks in Android module. More...
class | CloexecCreatCheck
| creat() is better to be replaced by open(). More...
class | CloexecDupCheck
| dup() is better to be replaced by fcntl(), which has close-on-exec flag. More...
class | CloexecEpollCreate1Check
| Finds code that uses epoll_create1() without using the EPOLL_CLOEXEC flag. More...
class | CloexecEpollCreateCheck
| epoll_create() is better to be replaced by epoll_create1(). More...
class | CloexecFopenCheck
| fopen() is suggested to include "e" in their mode string; like "re" would be better than "r". More...
class | CloexecInotifyInit1Check
| Finds code that uses inotify_init1() without using the IN_CLOEXEC flag. More...
class | CloexecInotifyInitCheck
| inotify_init() is better to be replaced by inotify_init1(). More...
class | CloexecMemfdCreateCheck
| Finds code that uses memfd_create() without using the MFD_CLOEXEC flag. More...
class | CloexecOpenCheck
| Finds code that opens file without using the O_CLOEXEC flag. More...
class | CloexecSocketCheck
| Finds code that uses socket() without using the SOCK_CLOEXEC flag. More...

## Functions
static ClangTidyModuleRegistry::Add< AndroidModule > | X ("android-module", "Adds Android platform checks.")

## Function Documentation

## ◆ X()

static ClangTidyModuleRegistry::Add<AndroidModule> clang::tidy::android::X | ( | "android-module" | ,
|  | "Adds Android platform checks." |
| ) |  |
| static